Subject: Re: bug#6264: 23; scrolling up erratic when line fractions visible at bottom of window
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Wed, 3 Jul 2019 03:52:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> David Reitter <[email-masked]> writes:
>
>> Moving down in a buffer does not work well at all when the last line
>> in the window is not fully visible.
>>
>> The problem occurs in a wide variety of conditions, but here is a test
>> case that works for me:
>>
>> Emacs -Q  [23 branch build, NS port]
>> (setq scroll-conservatively 100)
>> (setq line-spacing 0.6)
>> (modify-frame-parameters nil '((height . 20)))
>>
>> Insert some 40 lines of text into the buffer.
>>
>> Now set point somewhere near the beginning of the buffer, and press
>> <down> repeatedly to scroll the buffer.
>>
>> You will see at some point that the text is scrolled up by more than
>> one line so the cursor moves vertically up and down. Screenshots
>> down-0 and down-1 illustrate this.
>
> Hi David, I can't reproduce this in Emacs 25, so hopefully it's been
> fixed some time in the last six years.
>
> As always, I'll close in a few days if I don't hear otherwise.

It seems like this was never closed.  Closed now.

Thanks,
Stefan Kangas